import request from '@/utils/request'

// 查询使用教程列表
export function listTutorial(query) {
  return request({
    url: '/mall/tutorial/list',
    method: 'get',
    params: query
  })
}

// 查询使用教程详细
export function getTutorial(tutorialId) {
  return request({
    url: '/mall/tutorial/' + tutorialId,
    method: 'get'
  })
}

// 新增使用教程
export function addTutorial(data) {
  return request({
    url: '/mall/tutorial',
    method: 'post',
    data: data
  })
}

// 修改使用教程
export function updateTutorial(data) {
  return request({
    url: '/mall/tutorial',
    method: 'put',
    data: data
  })
}

// 删除使用教程
export function delTutorial(tutorialId) {
  return request({
    url: '/mall/tutorial/' + tutorialId,
    method: 'delete'
  })
}
